> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Fetch all contracts



## OpenAPI

````yaml /openapi/workforce-management.yaml get /v1/contracts
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Payroll Platform
  version: 1.0.0
  title: Business Workforce Management
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Custom Auth
    description: APIs for interacting with Custom Authentication
  - name: Persons
    description: APIs for interacting with the HR module
  - name: Milestones
    description: APIs for milestone-based contractor pay
  - name: Instant Pay
    description: APIs for interacting with Instant Pay functionality
  - name: Users
    description: APIs for interacting with employee/contractor Cadana accounts
  - name: Files
    description: APIs for interacting with file uploads
  - name: Payrolls
    description: APIs for interacting with Payroll
  - name: Platform
    description: Platform APIs for interacting with businesses
  - name: Businesses
    description: APIs for interacting with Business
  - name: Contracts
    description: APIs for interacting with contracts
  - name: Sandbox
    description: APIs for relevant sandbox simulations
  - name: Invoices
    description: APIs for interacting with invoices
  - name: Reimbursements
    description: APIs for interacting with reimbursements
  - name: Entities
    description: >-
      APIs for managing legal sub-entities (subsidiaries, branches) under a
      parent business
paths:
  /v1/contracts:
    get:
      tags:
        - Contracts
      summary: List
      description: Fetch all contracts
      operationId: retrieveContracts
      parameters:
        - name: personId
          in: query
          required: false
          schema:
            type: string
            format: uuid
          example: c30133cc-8d0e-42e5-b18c-24532e46b53e
          description: Optional UUID of the person to filter the contracts
        - $ref: '#/components/parameters/XMultiTenantKey'
      responses:
        '200':
          $ref: '#/components/responses/GetContractsResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
      security:
        - Authorization: []
components:
  parameters:
    XMultiTenantKey:
      name: X-MultiTenantKey
      in: header
      required: false
      schema:
        type: string
      description: >-
        Required when using a Platform API token. The tenant key identifying
        which business to operate on.
  responses:
    GetContractsResponse:
      description: get contracts response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/contract'
    BadRequestError:
      description: Bad input provided by client
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
  schemas:
    contract:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/uuid'
        templateId:
          $ref: '#/components/schemas/uuid'
        status:
          type: string
          example: completed
        personId:
          $ref: '#/components/schemas/uuid'
        name:
          type: string
          example: Edward Petersen - Standard Global Contractor Agreement
        signatures:
          type: array
          items:
            $ref: '#/components/schemas/contractSignature'
        createdAt:
          type: integer
          example: 1689759850
        customContractAttached:
          type: boolean
          example: false
    BadRequestError:
      description: Bad input provided by client
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          properties:
            params:
              description: A map for meta data around the error that occurred
              type: object
      example:
        code: invalid_request_body
        message: The request body provided is not valid
        params:
          field: Value is invalid.
    uuid:
      type: string
      format: uuid
      example: 8ef9a712-cdae-4110-b1ea-9ba95abbee6e
    contractSignature:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/uuid'
        emailAddress:
          type: string
          example: signer@example.com
        name:
          type: string
          example: John Doe
        order:
          type: integer
          example: 0
        status:
          type: string
          example: signed
        signedAt:
          type: integer
          example: 1689759850
        lastViewedAt:
          type: integer
          example: 1689759850
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````